petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscOptionsClearValue

Clears an option name-value pair in the options database, overriding whatever is already present.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsClearValue(PetscOptions options,const char name[])

Logically Collective

### Input Parameter

| options | - options database, use NULL for the default global database
| name | - name of option, this SHOULD have the - prepended

The collectivity of this routine is complex; only the MPI processes that call this routine will have the affect of these options. If some processes that create objects call this routine and others do not the code may fail in complicated ways because the same parallel solvers may incorrectly use different options on different ranks.

### See Also

PetscOptionsInsert()

### Level

intermediate

### Location

src/sys/objects/options.c

### Examples

src/snes/tutorials/ex56.c.html
src/ts/tutorials/ex48.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages